import * as e from "react";
import v from "../../../@ant-design/icons/es/icons/CheckOutlined.mjs";
import O from "../../../@ant-design/icons/es/icons/CloseCircleFilled.mjs";
import S from "../../../@ant-design/icons/es/icons/CloseOutlined.mjs";
import R from "../../../@ant-design/icons/es/icons/DownOutlined.mjs";
import k from "../../../@ant-design/icons/es/icons/LoadingOutlined.mjs";
import F from "../../../@ant-design/icons/es/icons/SearchOutlined.mjs";
import { devUseWarning as b } from "../_util/warning.mjs";
function $(f) {
  let {
    suffixIcon: c,
    clearIcon: l,
    menuItemSelectedIcon: m,
    removeIcon: a,
    loading: s,
    multiple: d,
    hasFeedback: u,
    prefixCls: I,
    showSuffixIcon: p,
    feedbackIcon: g,
    showArrow: E,
    componentName: w
  } = f;
  process.env.NODE_ENV !== "production" && b(w).deprecated(!l, "clearIcon", "allowClear={{ clearIcon: React.ReactNode }}");
  const x = l ?? /* @__PURE__ */ e.createElement(O, null), o = (n) => c === null && !u && !E ? null : /* @__PURE__ */ e.createElement(e.Fragment, null, p !== !1 && n, u && g);
  let r = null;
  if (c !== void 0)
    r = o(c);
  else if (s)
    r = o(/* @__PURE__ */ e.createElement(k, {
      spin: !0
    }));
  else {
    const n = `${I}-suffix`;
    r = (C) => {
      let {
        open: h,
        showSearch: N
      } = C;
      return o(h && N ? /* @__PURE__ */ e.createElement(F, {
        className: n
      }) : /* @__PURE__ */ e.createElement(R, {
        className: n
      }));
    };
  }
  let t = null;
  m !== void 0 ? t = m : d ? t = /* @__PURE__ */ e.createElement(v, null) : t = null;
  let i = null;
  return a !== void 0 ? i = a : i = /* @__PURE__ */ e.createElement(S, null), {
    clearIcon: x,
    suffixIcon: r,
    itemIcon: t,
    removeIcon: i
  };
}
export {
  $ as default
};
